Release
The Release endpoint unlocks assets currently held in locked mode and transfers them into the user's available asset balance, based on the virtual certificate code (vcert_code) issued during a purchase with the reserve-vcert operation.
Release Locked Asset
POST /asset/transaction/release
Headers
| Header / Type | Condition | Description |
|---|---|---|
Authorizationstring | required | Bearer token retrieved from the Authentication endpoint. |
X-User-Idstring | optional-when X-Partner-User-Id | Unique user identifier from Treasury. |
X-Partner-User-Idstring | optional-when X-User-Id | Your internal user identifier. |
Request Body
| Field / Type | Condition | Description |
|---|---|---|
operationstring enum | required | The release operation mode. Value: full. |
vcert_codestring | optional | Virtual certificate code obtained from a buy transaction with operation reserve-vcert. Required when operation is full. |
Response
Sample Response (200 OK)
json
{
"code" : 200,
"message": "success",
"data" : {
"status" : "full-release",
"asset_type" : "gold",
"invoice_code" : "RCV...",
"reference_id" : "x...",
"released_grams": 0.5,
"created_at" : "2026-01-01T10:00:00+07:00",
"released_at" : "2026-04-01T10:00:00+07:00",
"vcert_code" : "vcc..."
}
}